# Workflow$list\_datasources

### Workflow$<mark style="color:purple;">list\_datasources</mark>(*max\_results=NULL*) → list<[Datasource](/api/client-libraries/redivis-r/reference/datasource.md)>

Returns a list of datasources within the workflow.

### **Parameters:**

**`max_results` :&#x20;*****int, default NULL***\
If specified, will only return up to max\_results datasources

### **Returns:**&#x20;

**list<**[**Datasource**](/api/client-libraries/redivis-r/reference/datasource.md)**>**

### **Examples:**

<pre class="language-r"><code class="lang-r">workflow &#x3C;- redivis$user("imathews")$workflow("example_workflow_climate_analysis")
datasources &#x3C;- workflow$list_datasources()

for (datasource in datasources){
<strong>    print(datasource$properties) # Properties will be populated with the datasource.list resource representation
</strong>}
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/workflow/workflowusdlist_datasources.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
